X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Does Firefox 4.0 have a compatibility View feature for older websites? IE8 has this feature

Posted

Websites that were designed for earlier versions of Internet Explorer might not display correctly in the current version. However, you can often improve how a website will look in Internet Explorer by using a new feature called Compatibility View.

Additional System Details

Sites Affected

http://

Installed Plug-ins

  • Shockwave Flash 10.0 r42
  • CANON iMAGE GATEWAY Mycamera Plugin
  • DivX Web Player version 2.1.0.900
  • DivX VOD Helper Plug-in
  • Next Generation Java Plug-in 1.6.0_24 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • 4.0.60310.0
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • Adobe PDF Plug-In For Firefox and Netscape "9.4.1"
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.0; rv:2.0) Gecko/20100101 Firefox/4.0

More Information

TonyE
  • Moderator
1041 solutions 8840 answers

The short answer is no.

A slightly longer answer:

Internet Explorer historically did not adhere to web standards, this resulted in sites being created by people who only checked them in IE . The sites did not comply with web standards but worked in IE, but not always in other browsers.

In recent versions of IE Microsoft has made advances in complying with web standards, which resulted in some websites no longer working. This is why they had to introduce a compatibility mode for the old sites that do not follow web standards.

Firefox has always aimed to comply with web standards and has never had a compatibility mode for sites that do not adhere to web standards.

dmsmythe1 0 solutions 1 answers

Whatever you want to call it, IE7 compatibility DID exist in FF at one time. Our company has a web site designed (ugh!) on IE7 access. I used Firefox with it in compatibility mode, worked just fine. Since the last upgrade, I am getting incompatible browser messages again and seeing funky behavior when using FF.

How do I kick the new version of FF out and put the older one back in?

Modified by dmsmythe1

cor-el
  • Top 10 Contributor
  • Moderator
10743 solutions 96657 answers

Helpful Reply

That can only have happened if you used an extension like IE View or IE Tab to use the IE rendering engine in Firefox.

SilverTrove 0 solutions 3 answers

I am not able to view certain pages on a website, but this is true on more than one site. I was told by the site's webmaster to use Compatibility View to solve this problem. I am not using any extensions and am using all the default settings on the latest version of FF. Any help would be appreciated.

Thanks!

cor-el
  • Top 10 Contributor
  • Moderator
10743 solutions 96657 answers

Can you post some links to web pages that aren't displayed correctly?

sfjarlva 0 solutions 1 answers

Same problem with some Yahoo pages; can't find compatibility view recommended by other Yahoo users in FF 12.0.

Here's a sample page: http://movies.yahoo.com/movie/prometh.../five-film-facts-prometheus-photo-1339002634.html

All the text to the right of the pic is not visible and there's no <MORE> link button available to finish reading the text.

cor-el
  • Top 10 Contributor
  • Moderator
10743 solutions 96657 answers

Clear the cache and the cookies from sites that cause problems.

"Clear the Cache":

  • Tools > Options > Advanced > Network > Offline Storage (Cache): "Clear Now"

"Remove Cookies" from sites causing problems:

  • Tools > Options > Privacy > Cookies: "Show Cookies"

Start Firefox in Troubleshoot Firefox issues using Safe Mode to check if one of the extensions or if hardware acceleration is causing the problem (switch to the DEFAULT theme: Firefox/Tools > Add-ons > Appearance/Themes).